# Cinder

# cinder::Perlin Class Reference

`#include <Perlin.h>`

List of all members.

## Public Member Functions
| Perlin (uint8_t aOctaves=4)
| Perlin (uint8_t aOctaves, int32_t aSeed)
void | setSeed (int32_t aSeed)
uint8_t | getOctaves () const
void | setOctaves (uint8_t aOctaves)
float | fBm (float v) const
| Class Perlin look: fractal Brownian motion by summing 'mOctaves' worth of noise.
float | fBm (const Vec2f &v) const
float | fBm (float x, float y) const
float | fBm (const Vec3f &v) const
float | fBm (float x, float y, float z) const
Vec2f | dfBm (const Vec2f &v) const
| Derivative of fractal Brownian motion, corresponding with the values returned by fBm().
Vec2f | dfBm (float x, float y) const
Vec3f | dfBm (const Vec3f &v) const
Vec3f | dfBm (float x, float y, float z) const
float | noise (float x) const
| Calculates a single octave of noise.
float | noise (float x, float y) const
float | noise (float x, float y, float z) const
Vec2f | dnoise (float x, float y) const
| Calculates the derivative of a single octave of noise.
Vec3f | dnoise (float x, float y, float z) const

## Constructor & Destructor Documentation

cinder::Perlin::Perlin | ( | uint8_t | aOctaves = `4` | ) |

cinder::Perlin::Perlin | ( | uint8_t | aOctaves,
|  | int32_t | aSeed |
| ) |  |  |

## Member Function Documentation

void cinder::Perlin::setSeed | ( | int32_t | aSeed | ) |

uint8_t cinder::Perlin::getOctaves | ( |  | ) | const

void cinder::Perlin::setOctaves | ( | uint8_t | aOctaves | ) |

float cinder::Perlin::fBm | ( | float | v | ) | const

Class Perlin look: fractal Brownian motion by summing 'mOctaves' worth of noise.

float cinder::Perlin::fBm | ( | const Vec2f & | v | ) | const

float cinder::Perlin::fBm | ( | float | x,
|  | float | y |
| ) |  |  | const

float cinder::Perlin::fBm | ( | const Vec3f & | v | ) | const

float cinder::Perlin::fBm | ( | float | x,
|  | float | y,
|  | float | z |
| ) |  |  | const

Vec2f cinder::Perlin::dfBm | ( | const Vec2f & | v | ) | const

Derivative of fractal Brownian motion, corresponding with the values returned by fBm().

Vec2f cinder::Perlin::dfBm | ( | float | x,
|  | float | y |
| ) |  |  | const

Vec3f cinder::Perlin::dfBm | ( | const Vec3f & | v | ) | const

Vec3f cinder::Perlin::dfBm | ( | float | x,
|  | float | y,
|  | float | z |
| ) |  |  | const

float cinder::Perlin::noise | ( | float | x | ) | const

Calculates a single octave of noise.

float cinder::Perlin::noise | ( | float | x,
|  | float | y |
| ) |  |  | const

float cinder::Perlin::noise | ( | float | x,
|  | float | y,
|  | float | z |
| ) |  |  | const

Vec2f cinder::Perlin::dnoise | ( | float | x,
|  | float | y |
| ) |  |  | const

Calculates the derivative of a single octave of noise.

Vec3f cinder::Perlin::dnoise | ( | float | x,
|  | float | y,
|  | float | z |
| ) |  |  | const

The documentation for this class was generated from the following files:

- include/cinder/Perlin.h
- src/cinder/Perlin.cpp